---
search:
  tags:
    - People
    - GET
seo:
  description: >-
    Get message statistics by source platform for a person. Reference for the
    GET /people/{personId}/source-stats endpoint in the Modem API.
sidebar:
  label: Get source stats
  badge: GET
title: Get source stats
type: openapi-operation
---
Get message statistics by source platform for a person

`GET /people/{personId}/source-stats`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "data": [
    {
      "messageCount": 0,
      "source": "string"
    }
  ]
}
```
